VkPipelineVertexInputStateCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkPipelineVertexInputStateCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineVertexInputStateCreateFlags | flags
uint32_t | vertexBindingDescriptionCount
const VkVertexInputBindingDescription * | pVertexBindingDescriptions
uint32_t | vertexAttributeDescriptionCount
const VkVertexInputAttributeDescription * | pVertexAttributeDescriptions

## Detailed Description

Definition at line 1955 of file vulkan.h.

## Field Documentation

## flags

VkPipelineVertexInputStateCreateFlags VkPipelineVertexInputStateCreateInfo::flags

Definition at line 1958 of file vulkan.h.

## pNext

const void* VkPipelineVertexInputStateCreateInfo::pNext

Definition at line 1957 of file vulkan.h.

## pVertexAttributeDescriptions

const VkVertexInputAttributeDescription* VkPipelineVertexInputStateCreateInfo::pVertexAttributeDescriptions

Definition at line 1962 of file vulkan.h.

## pVertexBindingDescriptions

const VkVertexInputBindingDescription* VkPipelineVertexInputStateCreateInfo::pVertexBindingDescriptions

Definition at line 1960 of file vulkan.h.

## sType

VkStructureType VkPipelineVertexInputStateCreateInfo::sType

Definition at line 1956 of file vulkan.h.

## vertexAttributeDescriptionCount

uint32_t VkPipelineVertexInputStateCreateInfo::vertexAttributeDescriptionCount

Definition at line 1961 of file vulkan.h.

## vertexBindingDescriptionCount

uint32_t VkPipelineVertexInputStateCreateInfo::vertexBindingDescriptionCount

Definition at line 1959 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h